secure-testing has now support for the "quick apt-get update". Of course, as the packages files there are not as large, that is more are playfield to get some more experience. But of course, feel free to use it. It should work.

Also, one flaw in tiffani has been detected already. Please see this mail for more details of that bug.